package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/3 11:44
 * @Description:
 **/
public class DicDataPublishState {
    public static final String DRAFT= "待提交";
    public static final String PENDING ="审核中";
    public static final String REJECTED= "审核不通过";
    public static final String PUBLISHED= "已发布";
    public static final String OFFLINE= "已下架";

    private static DicDataPublishState instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicDataPublishState(){
         dicMap = new LinkedHashMap<>();
         dicMap.put(DRAFT,DRAFT);
         dicMap.put(PENDING,PENDING);
         dicMap.put(REJECTED,REJECTED);
         dicMap.put(PUBLISHED,PUBLISHED);
         dicMap.put(OFFLINE,OFFLINE);
    }

    public  static DicDataPublishState getInstance(){
        if(instance==null){
           instance = new DicDataPublishState();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
